Skip to content

Get all assignments​

GET
/accounts/{accountUuid}/accounting/v2/account-assignments

Get all assignments

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"type": {
  
  
  
  
"key": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"accAccount": {
  
  
  
  
"exists": true,
  
  
  
  
"uuid": "string",
  
  
  
  
"number": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"paymentMethod": {
  
  
  
  
"key": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"direction": "string",
  
  
  
"taxRateUuid": "string",
  
  
  
"bankAccountUuid": "string",
  
  
  
"paymentCardUuid": "string",
  
  
  
"flags": {
  
  
  
  
"isGenerated": true,
  
  
  
  
"isRequired": true,
  
  
  
  
"isComplete": true,
  
  
  
  
"isSystem": true
  
  
  
}
  
  
}
  
],
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Create assignment​

POST
/accounts/{accountUuid}/accounting/v2/account-assignments

Create a new assignment

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"type": "string",
  
"accAccountUuid": "string",
  
"currencyCode": "string",
  
"taxRateUuid": "string",
  
"paymentMethod": "string",
  
"direction": "string",
  
"bankAccountUuid": "string",
  
"paymentCardUuid": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"type": {
  
  
  
"key": "string",
  
  
  
"name": "string"
  
  
},
  
  
"accAccount": {
  
  
  
"exists": true,
  
  
  
"uuid": "string",
  
  
  
"number": "string",
  
  
  
"name": "string"
  
  
},
  
  
"currencyCode": "string",
  
  
"paymentMethod": {
  
  
  
"key": "string",
  
  
  
"name": "string"
  
  
},
  
  
"direction": "string",
  
  
"taxRateUuid": "string",
  
  
"bankAccountUuid": "string",
  
  
"paymentCardUuid": "string",
  
  
"flags": {
  
  
  
"isGenerated": true,
  
  
  
"isRequired": true,
  
  
  
"isComplete": true,
  
  
  
"isSystem": true
  
  
}
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Get single assignment​

GET
/accounts/{accountUuid}/accounting/v2/account-assignments/{assignmentUuid}

Get a single assignment

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
assignmentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"type": {
  
  
  
"key": "string",
  
  
  
"name": "string"
  
  
},
  
  
"accAccount": {
  
  
  
"exists": true,
  
  
  
"uuid": "string",
  
  
  
"number": "string",
  
  
  
"name": "string"
  
  
},
  
  
"currencyCode": "string",
  
  
"paymentMethod": {
  
  
  
"key": "string",
  
  
  
"name": "string"
  
  
},
  
  
"direction": "string",
  
  
"taxRateUuid": "string",
  
  
"bankAccountUuid": "string",
  
  
"paymentCardUuid": "string",
  
  
"flags": {
  
  
  
"isGenerated": true,
  
  
  
"isRequired": true,
  
  
  
"isComplete": true,
  
  
  
"isSystem": true
  
  
}
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Delete assignment​

DELETE
/accounts/{accountUuid}/accounting/v2/account-assignments/{assignmentUuid}

Delete an assignment

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
assignmentUuid*
Type
string
Required
Format
"uuid"

Responses​

Successful response

application/json
JSON
{
  
"data": "string",
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value

Samples​


Update assignment​

PATCH
/accounts/{accountUuid}/accounting/v2/account-assignments/{assignmentUuid}

Update an existing assignment

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
assignmentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"accAccountUuid": "string",
  
"currencyCode": "string",
  
"taxRateUuid": "string",
  
"paymentMethod": "string",
  
"direction": "string",
  
"bankAccountUuid": "string",
  
"paymentCardUuid": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"type": {
  
  
  
"key": "string",
  
  
  
"name": "string"
  
  
},
  
  
"accAccount": {
  
  
  
"exists": true,
  
  
  
"uuid": "string",
  
  
  
"number": "string",
  
  
  
"name": "string"
  
  
},
  
  
"currencyCode": "string",
  
  
"paymentMethod": {
  
  
  
"key": "string",
  
  
  
"name": "string"
  
  
},
  
  
"direction": "string",
  
  
"taxRateUuid": "string",
  
  
"bankAccountUuid": "string",
  
  
"paymentCardUuid": "string",
  
  
"flags": {
  
  
  
"isGenerated": true,
  
  
  
"isRequired": true,
  
  
  
"isComplete": true,
  
  
  
"isSystem": true
  
  
}
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Create bank assignment​

POST
/accounts/{accountUuid}/accounting/v2/account-assignments/bank-account/{bankAccountUuid}

Create a new banking assignment

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
bankAccountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"accAccountUuid": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"accAccountUuid": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Create payment card assignment​

POST
/accounts/{accountUuid}/accounting/v2/account-assignments/payment-cards/{paymentCardUuid}

Create a new payment card assignment

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
paymentCardUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"accAccountUuid": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"accAccountUuid": "string"
  
},
  
"status": 201,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​